#ifndef STRING_UTILITIES_H_
#define STRING_UTILITIES_H_

// Author: Steve Talbot

#pragma once

#include <iostream>
#include <string>
#include <vector>
#include <sstream>

using namespace std;

/*
 * member function definitions ..
 */

int strToInt( string stringValue );
float strToFloat( string stringValue );
double strToDouble( string stringValue );

string intToStr( int integerValue );
string floatToStr( float floatValue );
string doubleToStr( double doubleValue );

bool setBoolean( int intVersion );

bool isEven( int number );
bool isOdd( int number );

bool isInteger( char* value );
bool isFloat( char* value );

bool isAlphabetic( char* value );
bool isNumeric( char* value );
bool isAlphanumeric( char* value );

void printStr( string str );

string stringToUpper( string str );
string stringToLower( string str );

void updateMaxStringLength( string newTestString, int& maxStringLength );

vector<char*> getInputStringTokens( string inputString, const char* delimiters );

float getDivisionRemainderFraction( float numerator, float denominator );


#endif /*STRING_UTILITIES_H_*/
